Track survey event

POST /api/public/v2/surveys/{survey_uuid}/events/

Track survey interaction events such as survey opened, closed, or other user actions. Used for analytics and user behavior tracking.

Path parameters

Comparison table
ParameterTypeRequiredDescription
survey_uuidstring (uuid)YesUUID of the survey.

Request body

Comparison table
FieldTypeRequiredDescription
session_uuidstring (uuid) | nullNoOptional. Session the event belongs to (from the session response). Omit or send null to start a fresh session.
event_typesurvey_opened | score_submitted | text_submitted | survey_closedYes

Code example

curl -X POST https://feedback.tools/api/public/v2/surveys/<survey_uuid>/events \
  -H "Authorization: Bearer pk_..." \
  -H "Content-Type: application/json" \
  -d '{"event_type":"survey_opened"}'

Responses

200 Success

Comparison table
FieldTypeRequired
survey_uuidstring (uuid)Yes
session_uuidstring (uuid)Yes

400 / 403 Error

Comparison table
FieldTypeRequired
detailstringYes
survey_uuidstring (uuid) | nullNo
session_uuidstring (uuid) | nullNo